SVP(1)

NAME
svp - create and manage changes to VCS repositories

SYNOPSIS
svp [-h] [--version] {run,hosters,login,proposals} ...

DESCRIPTION
Silver-Platter makes it possible to contribute automatable changes to source code in a version control system.

It automatically creates a local checkout of a remote repository, make user-specified changes, publish those changes on the remote hosting site and then creates a pull request.

In addition to that, it can also perform basic maintenance on branches that have been proposed for merging - such as restarting them if they have conflicts due to upstream changes.

  COMMAND OVERVIEW

svp run [--refresh] [--label LABEL] [--name NAME] [--mode {push,attempt-push,propose}] [--commit-pending {auto,yes,no}] [--dry-run] url script
    Make a change by running a script. URL should be the URL of a repository to make changes to. Script will be run in a checkout of the URL, with the opportunity to make changes. Depending on the specified mode, the changes will be committed and pushed back to the repository at the original URL or proposed as a change to the repository at the original URL. svp will exit 0 if no changes have been made, 1 if at least one repository has been changed and 2 in case of trouble.

svp hosters
    Display known hosting sites.

svp login BASE-URL
    Log into a new hosting site.

svp proposals [--status {open,merged,closed}]
    Print URLs of all proposals of a specified status that are owned by the current user.

  optional arguments:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

SUPPORTED HOSTERS
At the moment GitHub, Launchpad and any instances of GitLab are supported.

EXAMPLES

svp login https://github.com/
    Log in to GitHub

svp hosters
    List all known hosting sites

svp proposals --status merged
    List all merged proposals owned by the current user.

svp run --mode=attempt-push git://github.com/dulwich/dulwich ./fix-typo.py
    Run the script ./fix-typo.py in a checkout of the Dulwich repository. Any changes the script makes will be pushed back to the main repository if the current user has the right permissions, and otherwise they will be proposed as a pull request.

SEE ALSO
debian-svp(1), git(1), brz(1)

LICENSE
GNU General Public License, version 2 or later.

AUTHORS
Jelmer Vernooij <jelmer@jelmer.uk>